/*
 * Copyright 2002-2005 webapp2.net
 *
 *   the Apache License, Version 2.0 ϴ:
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 */
package net.webapp2.forum.dao;

import java.util.List;

import net.webapp2.forum.domain.Post;
/**
 * PostDao interface
 *
 * @author Ahn, Younghoe
 * @author Baik, Keesun
 */
public interface PostDao {

	public void save(Post post);

	public Post load(Integer id);

	public Post loadReply(int id);

	public void update(Post post);

	public void delete(Integer id);

	public List<Post> list(int i);

	public List<Post> find(String property, Object keyword);

}
