/*
 * Copyright 2002-2005 webapp2.net
 *
 *   the Apache License, Version 2.0 ϴ:
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 */
package net.webapp2.forum.domain;

import java.util.Date;

import net.webapp2.member.domain.Member;
/**
 * Post
 *
 * @author Ahn, Younghoe
 * @author Baik, Keesun
 */
public class Post {

	private Integer id;

	private String title;

	private Member author;

	private String contents;

	private Date created;

	private Date updated;

	private Forum forum;

	private Post parent;

	private Integer countOfReply;

	public Forum getForum() {
		return forum;
	}

	public void setForum(Forum forum) {
		this.forum = forum;
	}

	public Member getAuthor() {
		return author;
	}

	public void setAuthor(Member author) {
		this.author = author;
	}

	public String getContents() {
		return contents;
	}

	public void setContents(String contents) {
		this.contents = contents;
	}

	public Date getCreated() {
		return created;
	}

	public void setCreated(Date created) {
		this.created = created;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getUpdated() {
		return updated;
	}

	public void setUpdated(Date updated) {
		this.updated = updated;
	}

	public Post getParent() {
		return parent;
	}

	public void setParent(Post parent) {
		this.parent = parent;
	}

	public Integer getCountOfReply() {
		return countOfReply;
	}

	public void setCountOfReply(Integer countOfReply) {
		this.countOfReply = countOfReply;
	}

}
