-- Article
DROP SEQUENCE seq_article IF EXISTS;
CREATE SEQUENCE seq_article START WITH 1;

DROP TABLE Article IF EXISTS;
CREATE TABLE Article(
	id INTEGER PRIMARY KEY ,
	password VARCHAR(15) NOT NULL,
	title VARCHAR(50) NOT NULL,
	contents LONGVARCHAR NOT NULL,
	createdDate TIMESTAMP(0) NOT NULL,
	authorId INTEGER NOT NULL
);

-- Comment
DROP SEQUENCE seq_comment IF EXISTS;
CREATE SEQUENCE seq_comment START WITH 1;

DROP TABLE Comment IF EXISTS;
CREATE TABLE Comment(
	id INTEGER PRIMARY KEY ,
	password VARCHAR(15) NOT NULL,
	title VARCHAR(50) NOT NULL,
	contents LONGVARCHAR NOT NULL,
	createdDate TIMESTAMP(0) NOT NULL,
	authorId INTEGER NOT NULL,
	articleId INTEGER NOT NULL
);

-- UserInfo
DROP SEQUENCE seq_userinfo IF EXISTS;
CREATE SEQUENCE seq_userinfo START WITH 1;

DROP TABLE UserInfo IF EXISTS;
CREATE TABLE UserInfo(
	id INTEGER PRIMARY KEY,
	alias	VARCHAR(20)	NOT NULL,
	blog	VARCHAR(50),
	password	VARCHAR(20)	NOT NULL,
	createdDate	TIMESTAMP(0)	NOT NULL,
	email	VARCHAR(50)	NOT NULL,
	name	VARCHAR(20)	NOT NULL
);

INSERT INTO UserInfo VALUES (next value for seq_userinfo, 'tester', 'http://webapp2.net/tt', 'passwd', now(), 'admin@webapp2.net', '테스터');

