package net.webapp2.board.dao.ibatis;

import java.util.List;

import net.webapp2.board.domain.Article;
import net.webapp2.board.domain.Comment;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

public class CommentDaoImpl extends SqlMapClientDaoSupport implements
		net.webapp2.board.dao.CommentDao {

	@SuppressWarnings("unchecked")
	public List<Comment> list(int articleId) {
		return  getSqlMapClientTemplate().queryForList("Comment.list", articleId);
	}

	public	void	insert(Comment comment) {
		getSqlMapClientTemplate().insert("Comment.insert", comment);
	}

	public	int		delete(int id) {
		return getSqlMapClientTemplate().delete("Comment.delete", id);
	}

}
