package net.webapp2.board.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.webapp2.board.service.CommentService;
import net.webapp2.util.RequestUtil;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;
import org.springframework.web.servlet.view.RedirectView;

public class CommentDeleteController extends AbstractController {

	private	CommentService	commentService;

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		int id = RequestUtil.getIntParam(request, "id", 1);
		int articleId = RequestUtil.getIntParam(request, "articleId", 1);
		commentService.delete(id);

		ModelAndView nextPage = new ModelAndView(new RedirectView("view.html"));
		nextPage.addObject("id", articleId);
		return nextPage;
	}

	public	void setCommentService(CommentService commentService) {
		this.commentService = commentService;
	}

}
