package net.webapp2.board.web;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.webapp2.board.domain.Comment;
import net.webapp2.board.service.CommentService;
import net.webapp2.util.RequestUtil;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class CommentListController extends AbstractController {

	private	CommentService commentService;

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		int articleId = RequestUtil.getIntParam(request, "articleId", 1);

		List<Comment> commentList = commentService.list(articleId);

		ModelAndView nextPage = new ModelAndView("commentList");
		nextPage.addObject("commentList", commentList);

		return nextPage;
	}


	public void setCommentService(CommentService commentService) {
		this.commentService = commentService;
	}
}
