package net.webapp2.board.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.webapp2.board.domain.Writing;
import net.webapp2.board.service.ArticleService;
import net.webapp2.board.service.CommentService;
import net.webapp2.util.RequestUtil;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;
public class ViewController extends AbstractController {

	ArticleService articleService;
	CommentService commentService;

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		int id = RequestUtil.getIntParam(request, "id", 1);
		Writing article = articleService.view(id);
//		List<Comment> commentList = commentService.list(id);

		ModelAndView nextPage = new ModelAndView("view");
		nextPage.addObject("Article", article);
//		nextPage.addObject("CommentList", commentList);

		return nextPage;
	}

	public void setArticleService(ArticleService articleService) {
		this.articleService = articleService;
	}

	public void setCommentService(CommentService commentService) {
		this.commentService = commentService;
	}

}