package net.webapp2.userinfo.domain;

import java.util.Date;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * 사용자 정보
 * @version 1.0
 */
public class UserInfo {

	/**
	 * 필명
	 */
	private String alias;
	/**
	 * 블로그/홈페이지
	 */
	private String blog;

	/**
	 * 가입일시
	 */

	private Date createdDate;
	/**
	 * 이메일
	 */
	private String email;
	/**
	 * 관리번호
	 */
	private Integer id;
	/**
	 * 이름
	 */
	private String name;
	/**
	 * 패스워드
	 */
	private String password;

	public UserInfo(){

	}

	public String getAlias() {
		return alias;
	}

	public String getBlog() {
		return blog;
	}

	public Date getCreatedDate() {
		return createdDate;
	}

	public String getEmail() {
		return email;
	}

	public Integer getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public String getPassword() {
		return password;
	}

	public void setAlias(String alias) {
		this.alias = alias;
	}

	public void setBlog(String blog) {
		this.blog = blog;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return new ToStringBuilder(this).append("name", this.name).append("id",
				this.id).append("blog", this.blog).append("createdDate",
				this.createdDate).append("email", this.email).append(
				"password", this.password).append("domicile")
				.append("alias", this.alias).toString();
	}

	/**
	 * id로 판별
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object object) {
		if (!(object instanceof UserInfo)) {
			return false;
		}
		UserInfo rhs = (UserInfo) object;
		return rhs.getId().equals(id);
	}


}