<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jstl/core_rt"
	xmlns:fmt="http://java.sun.com/jstl/fmt_rt"
	xmlns:spring="http://www.springframework.org/tags" version="2.0">
	<jsp:directive.page language="java"
		contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" />
	<jsp:text>
		<![CDATA[ <?xml version="1.0" encoding="UTF-8" ?> ]]>
	</jsp:text>
	<jsp:text>
		<![CDATA[ <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> ]]>
	</jsp:text>
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title><spring:message code="view.page.title" /></title>
	<link rel="stylesheet" href="css/style.css" />
	<script language="javascript">
		function openWindow(action, articleId, width, height) {
			window.open(action+"?id="+articleId,"comment","toolbar=no,menubar=no,scrollbars=yes,resizable=no,width="+width+",height="+height);
		}
	</script>
	</head>

	<body>
	<div id="header" name="header">
	<ul>
		<li class="alignleft">Home</li>
		<li class="alignleft">Article</li>
		<li class="alignleft">Spring</li>
		<li class="alignleft">Guide</li>
		<li class="alignleft">Forum</li>
	</ul>
	</div>

	<div id="container" name="container">
	<div id="content" name="content">

		<div id="contents" name="contents">
		<h4>${Article.title}</h4>
			<div class="iteminfo">Posted by: <a href="mailto:${Article.author.email}" target="_blank">${Article.author.name}</a>, on [<fmt:formatDate value="${Article.createdDate}"
			pattern="yyyy-MM-dd a hh:mm" />]</div>
			${Article.contents}
		</div>

		<c:forEach var="comment" items="${Article.comments}">
		<div id="comments" name="comments">
		<h5>${comment.title}</h5>
			<div class="iteminfo">Posted by: <a href="mailto:${comment.author.email}" target="_blank">${comment.author.name}</a>,
			on [<fmt:formatDate value="${comment.createdDate}" pattern="yyyy-MM-dd a hh:mm" />]
			<c:url var="commentDelete" value="commentDelete.form" >
				<c:param name="id" value="${comment.id}" />
				<c:param name="articleId" value="${Article.id}" />
			</c:url>
			<a href="${commentDelete}" target="_self">x</a>
			</div>
			${comment.contents}
		</div>
		</c:forEach>
		<p class="button"><a href="javascript:openWindow('comment.form', ${Article.id}, 450, 160);">의견작성</a></p>


		<div class="buttons">
			<c:url var="edit" value="article.form" >
				<c:param name="id" value="${Article.id}" />
			</c:url>
			<a href="${edit}" target="_self">수정</a> |

			<c:url var="delete" value="delete.form" >
				<c:param name="id" value="${Article.id}" />
			</c:url>
			<a href="${delete}" target="_self">삭제</a> |

			<a href="index.html" target="_self">목록으로</a>
		</div>

	</div>

	<div id="sidebar" name="sidebar">

	<div id="submenu">
	<ul>
		<li><span class="title">최근 코멘트</span>
		<ul>
			<li>wa2 기대 됩니다.. ^^</li>
			<li>굉장히 기대하고 있습니다....</li>
			<li>조금은 가까워진 씨투. 공...</li>
			<li>물론 "초보자"들을 최우선...</li>
			<li>wa2에 대해 영 감이 안 잡혔...</li>
		</ul>
		</li>
		<li><span class="title">최근 트랙백</span>
		<ul>
			<li>wa2, 아주 큰 모험.</li>
			<li>Something is comming...</li>
			<li>사람 중심의 인터넷서비스...</li>
			<li>PC통신... 그립네요.....</li>
			<li>"전송하는 행위"....</li>
		</ul>
		</li>
	</ul>
	</div>

	</div>

	</div>

	<div id="footer" name="footer">CopyLeft by Webapp2. Since 2005-2006.</div>
	</body>
	</html>

</jsp:root>
