package calendar.dao;

import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

import calendar.domain.Calendar;

public class SqlMapCalendarDao extends SqlMapClientDaoSupport implements
		CalendarDao {

	@SuppressWarnings("unchecked")
	public List<Calendar> getDefaultList() {

		return getSqlMapClientTemplate().queryForList("selectDefaultList", null);

	}


	@SuppressWarnings("unchecked")
	public List<Calendar> getListByDay(String date) {
		return getSqlMapClientTemplate().queryForList("selectListByDay", date);
	}
}
