<jsp:directive.page contentType="text/html; charset=UTF-8" />
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<html>
<head>
<link rel="stylesheet" type="text/css" href="css/calendar.css" />

<script language="JavaScript">

var BUL_YEARSCROLL = true;
// months as they appear in the calendar's title
var ARR_MONTHS = ["January", "February", "March", "April", "May", "June",
		"July", "August", "September", "October", "November", "December"];
// week day titles as they appear on the calendar
var ARR_WEEKDAYS = ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"];
// day week starts from (normally 0-Su or 1-Mo)
var NUM_WEEKSTART = 1;
// path to the directory where calendar images are stored. trailing slash req.
var STR_ICONPATH = '/calendar/img/';

var re_url = new RegExp('datetime=(\\-?\\d+)');
var dt_current = (re_url.exec(String(window.location))
	? new Date(new Number(RegExp.$1)) : new Date());
//var dt_current = new Date();
//dt_current.setFullYear(${fn:substring(datetime, 0, 4)}, ${fn:substring(datetime, 5, 7)}-1, ${fn:substring(datetime, 8, 10)})
//dt_current.setYear(${fn:substring(datetime, 0, 4)});
//dt_current.setMonth(${fn:substring(datetime, 5, 7)});
//dt_current.setMonth(dt_current.getMonth() - 1);
//dt_currnet.setDay(${fn:substring(datetime, 8, 10)});

var obj_caller = (window.opener ? window.opener.calendars[num_id] : null);

// get same date in the previous year
var dt_prev_year = new Date(dt_current);
dt_prev_year.setFullYear(dt_prev_year.getFullYear() - 1);
if (dt_prev_year.getDate() != dt_current.getDate())
	dt_prev_year.setDate(0);

// get same date in the next year
var dt_next_year = new Date(dt_current);
dt_next_year.setFullYear(dt_next_year.getFullYear() + 1);
if (dt_next_year.getDate() != dt_current.getDate())
	dt_next_year.setDate(0);

// get same date in the previous month
var dt_prev_month = new Date(dt_current);
dt_prev_month.setMonth(dt_prev_month.getMonth() - 1);
if (dt_prev_month.getDate() != dt_current.getDate())
	dt_prev_month.setDate(0);

// get same date in the next month
var dt_next_month = new Date(dt_current);
dt_next_month.setMonth(dt_next_month.getMonth() + 1);
if (dt_next_month.getDate() != dt_current.getDate())
	dt_next_month.setDate(0);

// get first day to display in the grid for current month
var dt_firstday = new Date(dt_current);
dt_firstday.setDate(1);
dt_firstday.setDate(1 - (7 + dt_firstday.getDay() - NUM_WEEKSTART) % 7);

// function passing selected date to calling window
function set_datetime(n_datetime, b_close) {
	var dt_datetime = new Date(n_datetime);
	document.location.href = 'calendar.do?datetime=' + dt_datetime.valueOf();
}
function debug(){
	var temp = new Date(dt_current.valueOf());

}
</script>
</head>
<body onload="javascript:debug();">
<table width="100%">
	<tbody>
		<tr>
			<td width="70%">
			<table class="clsOTable" cellspacing="0" border="0" width="100%">
				<tr>
					<td bgcolor="#4682B4">
					<table cellspacing="1" cellpadding="3" border="0" width="100%">
						<tr>
							<td colspan="7">
							<table cellspacing="0" cellpadding="0" border="0" width="100%">
								<tr>
									<script language="JavaScript">
									document.write(
									'<td>'+'<a href="javascript:set_datetime('+dt_prev_year.valueOf()+')"><img src="'+STR_ICONPATH+'prev_year.gif" width="16" height="16" border="0" alt="previous year"></a>&nbsp;'+'<a href="javascript:set_datetime('+dt_prev_month.valueOf()+')"><img src="'+STR_ICONPATH+'prev.gif" width="16" height="16" border="0" alt="previous month"></a></td>'+
									'<td align="center" width="100%"><font color="#ffffff">'+ARR_MONTHS[dt_current.getMonth()]+' '+dt_current.getFullYear() + '</font></td>'+
									'<td><a href="javascript:set_datetime('+dt_next_month.valueOf()+')"><img src="'+STR_ICONPATH+'next.gif" width="16" height="16" border="0" alt="next month"></a>'+'&nbsp;<a href="javascript:set_datetime('+dt_next_year.valueOf()+')"><img src="'+STR_ICONPATH+'next_year.gif" width="16" height="16" border="0" alt="next year"></a>'+'</td>'
									);
									</script>
								</tr>
							</table>
							</td>
						</tr>
						<tr>
							<script language="JavaScript">

							// print weekdays titles
							for (var n=0; n<7; n++)
								document.write('<td bgcolor="#87cefa" align="center"><font color="#ffffff">'+ARR_WEEKDAYS[(NUM_WEEKSTART+n)%7]+'</font></td>');
							document.write('</tr>');

							// print calendar table
							var dt_current_day = new Date(dt_firstday),
								dt_selected = dt_current;

							while (dt_current_day.getMonth() == dt_current.getMonth() ||
								dt_current_day.getMonth() == dt_firstday.getMonth()) {
								// print row heder
								document.write('<tr>');
								for (var n_current_wday=0; n_current_wday<7; n_current_wday++) {
									if (dt_current_day.getDate() == dt_selected.getDate() &&
										dt_current_day.getMonth() == dt_selected.getMonth() &&
										dt_current_day.getFullYear() == dt_selected.getFullYear())
										// print current date
										document.write('<td bgcolor="#ffb6c1" align="center" width="14%">');
									else if (dt_current_day.getDay() == 0 || dt_current_day.getDay() == 6)
										// weekend days
										document.write('<td bgcolor="#dbeaf5" align="center" width="14%">');
									else
										// print working days of current month
										document.write('<td bgcolor="#ffffff" align="center" width="14%">');

									//document.write('<a href="javascript:set_datetime('+dt_current_day.valueOf() +', true);">');
										document.write('<a href="javascript:set_datetime('+dt_current_day.valueOf() +', true);">');

									if (dt_current_day.getMonth() == this.dt_current.getMonth())
										// print days of current month
										document.write('<font color="#000000">');
									else
										// print days of other months
										document.write('<font color="#606060">');

									document.write(dt_current_day.getDate()+'</font></a></td>');
									dt_current_day.setDate(dt_current_day.getDate()+1);
								}
								// print row footer
								document.write('</tr>');
							}
							</script>
					</table>
					</td>
				</tr>
			</table>
			</td>
			<td>
				<table id="schedule" name="schedule">
				<thead>
					<tr>
					<th>[ ${datetime} ]</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
					<td>[ 새로운 스케쥴 입력하기 ]</td>
					</tr>
				</tfoot>
				<tbody>
					<c:forEach items="${calendarList}" var="calendar">
						<tr>
							<td class="time">시간: <fmt:formatDate value="${calendar.time}" type="time"
								pattern="HH:mm" /></td>
						</tr>
						<tr>
							<td class="detail">내용: ${calendar.detail}</td>
						</tr>
					</c:forEach>
				<tbody>
				</table>
			</td>
		</tr>
	</tbody>
</table>
</body>
</html>
