package net.webapp2.article.domain;

/**
 * 분류 주제어
 *
 * @author younghoe
 *
 */
public class Category {

	/**
	 * 주제어 이름
	 */
	private String name;

	/**
	 * 관리번호
	 */
	private Integer id;

	public Category() {
		super();
	}

	public Category(String name) {
		this.name = name;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	/**
	 * 주제어 비교시 앞뒤의 공백은 무시되며, 대소문자는 구분하지 않는다.
	 * @param category 비교대상 주제어
	 * @return
	 */
	public boolean equals(Category category){

		if(category == null)
			return false;

		return this.name.equalsIgnoreCase(category.name.trim());

	}

}
