package net.webapp2.article.service.support;

import java.util.List;

import org.springframework.dao.DataAccessException;

import net.webapp2.article.dao.ArticleDao;
import net.webapp2.article.domain.Article;
import net.webapp2.article.domain.Category;
import net.webapp2.article.service.ArticleBoard;
import net.webapp2.common.managedobject.dao.ManagedObjectDao;

public class ArticleBoardSupport implements ArticleBoard {

	private ArticleDao articleDao;
	private ManagedObjectDao articleMod;
//
//	public void setArticleDao(ArticleDao articleDao) {
//		this.articleDao = articleDao;
//	}

	public void post(Article entry) {
		Integer id = null;
		articleDao.insert(entry);
		id = articleMod.issue("article");

		for (Category category : entry.getTagList()) {

		}
	}

	public Article get(Integer articleId){
		Article article = new Article();
		article = articleDao.getArticle(articleId);

		return article;
	}

//	public Article load(Integer articleId) {
//		System.out.println("요청한  기술문서 관리번호: " + articleId);
//		return articleDao.get(articleId);
//	}
//
//	public void update(Article article) {
//		Date lastmodified = new Date();
//		article.setLastModified(lastmodified);
//
//		System.out.println(lastmodified + ": 관리번호 " + article.getId()
//				+ " 기술문서 수정");
//
//		Integer row = articleDao.update(article);
//
//		if (row < 1)
//			System.out.println("이런 어처구니 없는 경우가 있을까요?");
//
//	}
//
//	public Integer remove(Integer articleId) {
//
//		System.out.println("관리번호 " + articleId + " 기술문서 삭제");
//		return articleDao.delete(articleId);
//
//	}
//
//	public Integer count() {
//		return articleDao.count();
//	}
//
//	public boolean healthCheck() {
//		System.out.println("WARN: 데이터베이스 레코드에 따라 상당한 시간 소요될 수 있음");
//
//		Integer count = articleDao.count();
//		Map<String, Integer> realStat = articleDao.countAsItIs();
//		Integer realCount = realStat.get(ArticleDao.ACTUAL_ARTICLE_COUNT);
//		System.out.println("실제 Article 레코드 총계: " + realCount);
//
//		if (count.equals(realCount))
//			return true;
//
//		// 통계치와 실측치가 다를 경우
//		Integer issueCount = realStat.get(ArticleDao.LARGEST_ARTICLE_ID);
//		Integer delCount = issueCount - realCount;
//		System.out.println("가장 최근 Article 관리 번호: " + issueCount);
//		articleDao.resetStat(issueCount, delCount);
//
//		return false;
//	}
//
	public List<Article> list() {

		System.out.println("전체 기술문서를 가져옵니다.");

		return articleDao.queryForArticleList();
	}

	public void setArticleDao(ArticleDao articleDao) {
		this.articleDao = articleDao;
	}

	public Category add(Category category){
		Integer id = null;
		try {
			articleDao.insert(category);
			id = articleMod.issue("category");
		} catch (DataAccessException e) {
			e.printStackTrace();
			return null;
		}

		category.setId(id);
		return category;
	}

	public void setArticleMod(ManagedObjectDao articleMod) {
		this.articleMod = articleMod;
	}
}
