package net.webapp2.util.test;

import org.testng.annotations.Test;

/**
 * 화면 출력 테스트이기 때문에 결과를 Assertion이 아닌 눈으로 확인해야 한다. 또한,
 * Assertion 실패에 대해 자동으로 메시지가 출력되는 것을 확인하는 것이기 때문에
 * 모든 테스트는 실패한다. 따라서, textng.xml에서 배제된다.
 * @author younghoe
 *
 */
public class AssertiUtilsTest extends TestBase {


	@Test
	public void assertEquals(){
		Object expection = "hi";
		Object actualResult = "hoy";

		equals(expection, actualResult);

	}

	@Test
	public void assertNull(){
		isNull(new Object());
	}

	@Test
	public void assertNotNull(){
		notNull(null);
	}

	@Test
	public void assertFalse(){
		isFalse(true);
	}

	@Test
	public void assertTrue(){
		isTrue(false);
	}

	@Test
	public void assertNotSame(){
		notSame("hi", "hi");
	}

	@Test
	public void assertSame(){
		same("hi", "dhi");
	}


}
