package net.webapp2.userinfo.dao.ibatis;

import net.webapp2.userinfo.domain.District;
import net.webapp2.util.ibatis.EnumTypeHandler;

/**
 * iBatis에서 @{link District Districe} 타입의 enum을 처리하는
 * Template Method 구현 클래스
 * @author younghoe
 *
 */
public class DistrictTypeHandler extends EnumTypeHandler {

	@Override
	protected District[] getEnums() {
		return District.values();
	}

}
