package net.webapp2.board.service;

import java.util.List;

import net.webapp2.board.dao.ArticleDao;
import net.webapp2.board.domain.Article;
import net.webapp2.board.domain.Writing;

public class ArticleServiceImpl implements ArticleService {

	private ArticleDao articleDao;

	public List<Article> list() {
		return articleDao.list();
	}

	public List<Article> list(String keyword) {
		return articleDao.list(keyword);
	}

	public Writing view(int id) {
		return articleDao.view(id);
	}

	public void insert(Writing article) {
		articleDao.insert(article);
	}

	public int	update(Writing article) {
		return articleDao.update(article);
	}

	public int	delete(int id) {
		return articleDao.delete(id);
	}

	public void setArticleDao(ArticleDao articleDao) {
		this.articleDao = articleDao;
	}

}
