package net.webapp2.board.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.webapp2.board.service.ArticleService;
import net.webapp2.util.RequestUtil;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;
import org.springframework.web.servlet.view.RedirectView;

public class DeleteController extends AbstractController {

	private	ArticleService	articleService;

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		int id = RequestUtil.getIntParam(request, "id", 1);
		articleService.delete(id);

		ModelAndView nextPage = new ModelAndView(new RedirectView("index.html"));
		return nextPage;
	}

	public	void setArticleService(ArticleService articleService) {
		this.articleService = articleService;
	}

}
