<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jstl/core_rt"
	xmlns:fmt="http://java.sun.com/jstl/fmt_rt"
	xmlns:spring="http://www.springframework.org/tags" version="2.0">
	<jsp:directive.page language="java"
		contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" />
	<jsp:text>
		<![CDATA[ <?xml version="1.0" encoding="UTF-8" ?> ]]>
	</jsp:text>
	<jsp:text>
		<![CDATA[ <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> ]]>
	</jsp:text>
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title><spring:message code="form.page.title" /></title>
	<link rel="stylesheet" href="css/style.css" />
	<script language="javascript">
	function submited() {
		alert("의견작성이 완료되었습니다.");
		window.opener.location.reload();
		window.close();
	}
	</script>
	</head>
	<body>

	<c:if test="${submit == 'Y'}">
		<meta http-equiv="Refresh" content="0;URL=javascript:submited();" />
	</c:if>
	<spring:bind path="comment">
	<form id="form" action="comment.form" autocomplete="off" method="post">
		<table id="commentForm" name="commentForm">
		<tbody>
		<tr>
		<td>
			<spring:bind path="comment.author.id">
			<label for="author.id">작성자 : </label>
			<input type="text" name="${status.expression}" value="${status.value}" class="input_short" />
			</spring:bind>
			<spring:bind path="comment.password">
			<label for="password">비밀번호 : </label>
			<input type="password" name="${status.expression}" value="${status.value}" class="input_short" />
			</spring:bind>
		</td>
		<td rowspan="3" width="20%">
			<spring:bind path="comment.articleId">
			<input type="hidden" name="${status.expression}" value="${status.value}"/>
			</spring:bind>
			<input type="hidden" name="submit" value="${submit}" />
			<input type="submit" value="의견작성" /><br/>
			<input type="button" value="닫기" onclick="javascript:window.close();" />
		</td>
		</tr>
		<tr>
		<td>
			<spring:bind path="comment.title">
			<label for="title">제 목 : </label>
			<input type="text" name="${status.expression}" value="${status.value}" class="input_long" />
			</spring:bind>
		</td>
		</tr>
		<tr>
		<td>
			<spring:bind path="comment.contents">
			<label for="contents">내 용 : </label>
			<textarea name="${status.expression}" rows="5" class="input_long">${status.value}</textarea>
			</spring:bind>
		</td>
		</tr>
		</tbody>
		</table>


	</form>
	</spring:bind>

	</body>
	</html>

</jsp:root>