<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jstl/core_rt"
	xmlns:fmt="http://java.sun.com/jstl/fmt_rt"
	xmlns:spring="http://www.springframework.org/tags" version="2.0">
	<jsp:directive.page language="java"
		contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" />
	<jsp:text>
		<![CDATA[ <?xml version="1.0" encoding="UTF-8" ?> ]]>
	</jsp:text>
	<jsp:text>
		<![CDATA[ <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> ]]>
	</jsp:text>
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title><spring:message code="form.page.title" /></title>
	<link rel="stylesheet" href="css/style.css" />
	</head>

	<body>
	<div id="header" name="header">
	<ul>
		<li class="alignleft">홈(Home)</li>
		<li class="alignleft">Article</li>
		<li class="alignleft">Spring</li>
		<li class="alignleft">Guide</li>
		<li class="alignleft">Forum</li>
	</ul>
	</div>

	<div id="container" name="container">
	<div id="content" name="content">
		<form id="form" autocomplete="off" method="post" action="article.form">
		<spring:bind path="article">
		<table id="articleForm" name="articleForm">
		<tfoot>
		<tr>
		<td>
			<c:if test="${post.id != null}" >
			<spring:bind path="article.id">
			<input type="hidden" name="${status.expression}" value="${status.value}" />
			</spring:bind>
			</c:if>
			<input type="submit" value="작성완료" />
			<input type="button" value="취소" onclick="javascript:history.back(1);" />
		</td>
		</tr>
		</tfoot>
		<tbody>
		<tr>
		<td>
			<spring:bind path="article.author.id">
			<label for="author.id">작성자 : </label>
			<input type="text" name="${status.expression}" value="${status.value}" class="input_short" />
			</spring:bind>
		</td>
		</tr>
		<tr>
		<td>
			<spring:bind path="article.password">
			<label for="password">비밀번호 : </label>
			<input type="password" name="${status.expression}" value="${status.value}" class="input_short" />
			</spring:bind>
		</td>
		</tr>
		<tr>
		<td>
			<spring:bind path="article.title">
			<label for="title">제 목 : </label>
			<input type="text" name="${status.expression}" value="${status.value}" class="input_long" />
			</spring:bind>
		</td>
		</tr>
		<tr>
		<td>
			<spring:bind path="article.contents">
			<label for="contents">내 용 : </label>
			<textarea name="${status.expression}" rows="8" class="input_long">${status.value}</textarea>
			</spring:bind>
		</td>
		</tr>
		</tbody>
		</table>
		</spring:bind>
		</form>
	</div>

	<div id="sidebar" name="sidebar">
	<div id="submenu">
	<ul>
		<li><span class="title">최근 코멘트</span>
		<ul>
			<li>wa2 기대 됩니다.. ^^</li>
			<li>굉장히 기대하고 있습니다....</li>
			<li>조금은 가까워진 씨투. 공...</li>
			<li>물론 "초보자"들을 최우선...</li>
			<li>wa2에 대해 영 감이 안 잡혔...</li>
		</ul>
		</li>
		<li><span class="title">최근 트랙백</span>
		<ul>
			<li>wa2, 아주 큰 모험.</li>
			<li>Something is comming...</li>
			<li>사람 중심의 인터넷서비스...</li>
			<li>PC통신... 그립네요.....</li>
			<li>"전송하는 행위"....</li>
		</ul>
		</li>
	</ul>
	</div>

	</div>

	</div>

	<div id="footer" name="footer">CopyLeft by Webapp2. Since 2005-2006.</div>
	</body>
	</html>

</jsp:root>
